public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-libs/gupnp/, profiles/
@ 2022-10-06 14:44 Matt Turner
  0 siblings, 0 replies; only message in thread
From: Matt Turner @ 2022-10-06 14:44 UTC (permalink / raw
  To: gentoo-commits

commit:     1e58deb25d93ebbc193234221ea3eb956eb5d8ca
Author:     Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Sun Oct  2 14:18:38 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Oct  6 14:43:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e58deb2

net-libs/gupnp: Version bump to 1.6.0

Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 net-libs/gupnp/Manifest           |  1 +
 net-libs/gupnp/gupnp-1.6.0.ebuild | 75 +++++++++++++++++++++++++++++++++++++++
 profiles/package.mask             |  1 +
 3 files changed, 77 insertions(+)

diff --git a/net-libs/gupnp/Manifest b/net-libs/gupnp/Manifest
index d96546f02f49..9433f035c5fe 100644
--- a/net-libs/gupnp/Manifest
+++ b/net-libs/gupnp/Manifest
@@ -1 +1,2 @@
 DIST gupnp-1.4.3.tar.xz 154812 BLAKE2B b41a8805853061399412f5eb7267e9913adb3054ebf8a3bd78f6df4c1607d4a944654f3bc6e154fefa98f1289a80055d0feb0168801d83a1ad59c25f5fcac784 SHA512 1963ce917458168c8bc5d669ee30a4071d83d3768ce1be8cbbd81c767853ca01950623a88628a0b1e403d1cce1f0bbc9df80acf4b75f91bfc0403e0d0e6bcedb
+DIST gupnp-1.6.0.tar.xz 2212044 BLAKE2B bc10b405f79845dd6a86c9110d26430bd6c67d36c761e38ddeee01135c27d196dbdc32fe09f322f9c0e19d2d424bb4f8b042531c81ce9da18e3f3d4f2d93e255 SHA512 5cf7a6c27f5b183e4f4387e478cb6f3ccdf4169a8e6a878f087ebf61aa41d31181480a42a8c38155af8a410c342dc6140a9cc44e30295f8f10333fd12fa53cc4

diff --git a/net-libs/gupnp/gupnp-1.6.0.ebuild b/net-libs/gupnp/gupnp-1.6.0.ebuild
new file mode 100644
index 000000000000..9dbf892fc913
--- /dev/null
+++ b/net-libs/gupnp/gupnp-1.6.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit gnome.org meson-multilib python-single-r1 vala xdg
+
+DESCRIPTION="An object-oriented framework for creating UPnP devs and control points"
+HOMEPAGE="https://wiki.gnome.org/Projects/GUPnP https://gitlab.gnome.org/GNOME/gupnp"
+
+LICENSE="LGPL-2+ GPL-2+" # gupnp-binding-tool is GPL-2+
+SLOT="1.6/1.6-0" # <API version>-<soname>
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="connman gtk-doc +introspection networkmanager +vala"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+	?? ( connman networkmanager )
+	gtk-doc? ( introspection )
+"
+
+# prefix: uuid dependency can be adapted to non-linux platforms
+RDEPEND="${PYTHON_DEPS}
+	>=dev-libs/glib-2.69:2[${MULTILIB_USEDEP}]
+	>=net-libs/gssdp-1.5.2:1.6=[introspection?,${MULTILIB_USEDEP}]
+	>=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}]
+	>=net-libs/libsoup-2.99.0:3.0[introspection?,${MULTILIB_USEDEP}]
+	>=sys-apps/util-linux-2.24.1-r3[${MULTILIB_USEDEP}]
+	introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	gtk-doc? ( >=dev-util/gi-docgen-2021.1 )
+	dev-libs/libxslt
+	app-text/docbook-xsl-stylesheets
+	virtual/pkgconfig
+	!connman? ( !networkmanager? ( kernel_linux? ( sys-kernel/linux-headers ) ) )
+	vala? ( $(vala_depend)
+		>=net-libs/gssdp-1.5.2:1.6[vala]
+		net-libs/libsoup:3.0[vala]
+	)
+"
+
+src_prepare() {
+	default
+	use vala && vala_setup
+}
+
+multilib_src_configure() {
+	local backend=system
+	use kernel_linux && backend=linux
+	use connman && backend=connman
+	use networkmanager && backend=network-manager
+
+	local emesonargs=(
+		-Dcontext_manager=${backend}
+		$(meson_native_use_bool introspection)
+		$(meson_native_use_bool vala vapi)
+		$(meson_native_use_bool gtk-doc gtk_doc)
+		-Dexamples=false
+	)
+	meson_src_configure
+}
+
+multilib_src_install_all() {
+	python_fix_shebang "${ED}"/usr/bin/gupnp-binding-tool-1.6
+	if use gtk-doc ; then
+		mkdir "${ED}"/usr/share/gtk-doc || die
+		mv "${ED}"/usr/share/doc/gupnp-1.6/{reference,html} || die
+		mv "${ED}"/usr/share/{doc,gtk-doc}/gupnp-1.6 || die
+	fi
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index df8d8ec7434b..e097cb9434dc 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -481,6 +481,7 @@ sys-devel/automake:1.11
 >=mail-client/evolution-3.46
 >=mail-client/geary-43
 media-libs/libshumate
+>=net-libs/gupnp-1.6
 net-libs/libsoup:3.0
 net-libs/rest:1.0
 net-libs/uhttpmock:1.0


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2022-10-06 14:44 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-10-06 14:44 [gentoo-commits] repo/gentoo:master commit in: net-libs/gupnp/, profiles/ Matt Turner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox